curl --request GET \
--url https://staging.debt-wise.com/api/users/{id}/accounts/{account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"name": "JCP Morgan",
"type": "loan",
"subtype": "credit_card_loan",
"mask": "1234",
"status": "active",
"nickname": "Primary credit card",
"user_apr": 5.5,
"user_minimum_payment": 10000,
"effective_minimum_payment": 15000,
"effective_apr": 6.3,
"original_loan_amount": 15000000,
"balance": 150000,
"limit": 0,
"last_payment_amount": 20000,
"last_updated_at": "2024-06-01",
"last_payment_date": "2024-05-25",
"opened_at": "2024-05-25",
"closed_at": "2024-05-25",
"institution_name": "Chase",
"institution_logo": "<string>",
"next_payment_due_date": "2024-06-25",
"user_next_payment_date": "2024-06-25",
"first_time_payment": false,
"expected_payoff_date": "2052-01-01",
"payments_history": [
"0"
]
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Retrieve Account
Retrieve information about a single account
curl --request GET \
--url https://staging.debt-wise.com/api/users/{id}/accounts/{account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"name": "JCP Morgan",
"type": "loan",
"subtype": "credit_card_loan",
"mask": "1234",
"status": "active",
"nickname": "Primary credit card",
"user_apr": 5.5,
"user_minimum_payment": 10000,
"effective_minimum_payment": 15000,
"effective_apr": 6.3,
"original_loan_amount": 15000000,
"balance": 150000,
"limit": 0,
"last_payment_amount": 20000,
"last_updated_at": "2024-06-01",
"last_payment_date": "2024-05-25",
"opened_at": "2024-05-25",
"closed_at": "2024-05-25",
"institution_name": "Chase",
"institution_logo": "<string>",
"next_payment_due_date": "2024-06-25",
"user_next_payment_date": "2024-06-25",
"first_time_payment": false,
"expected_payoff_date": "2052-01-01",
"payments_history": [
"0"
]
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Authorizations
Headers
Response
Returns information about an account
24 months payment history, where each string represents monthly payment status: "0" = The account is too new to rate, or has been approved, but not yet used; "1" = Payments have been made on-time; "2" = Two or fewer payments are past due; "3" = Three or fewer payments are past due; "4" = Four or fewer payments are past due; "5" = Either more than four payments are past due, or least one payment is more than 120 days past due; "6" = The account is with collections (Enhanced Trade Only); "7" = Included in Chapter 13; "8" = Repossession; "9" = Charge-off; "E" = The account has a zero balance or is current; "*" = Payment status was not available; Blank = Not reported;
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, , E, *